/* Include files */
#include "BarGraph_PCM80_sfun.h"
#include "c1_BarGraph_PCM80.h"
#define CHARTINSTANCE_CHARTNUMBER       (chartInstance.chartNumber)
#define CHARTINSTANCE_INSTANCENUMBER    (chartInstance.instanceNumber)
#include "BarGraph_PCM80_sfun_debug_macros.h"

/* Type Definitions */

/* Named Constants */
#define c1_event_evt_ch_rdy             (0U)
#define c1_event_evt_tick               (1U)
#define c1_IN_NO_ACTIVE_CHILD           (0)
#define c1_IN_rdy                       (1)

/* Variable Declarations */

/* Variable Definitions */
static SFc1_BarGraph_PCM80InstanceStruct chartInstance;

/* Function Declarations */
static void initialize_c1_BarGraph_PCM80(void);
static void initialize_params_c1_BarGraph_PCM80(void);
static void enable_c1_BarGraph_PCM80(void);
static void disable_c1_BarGraph_PCM80(void);
static void finalize_c1_BarGraph_PCM80(void);
static void sf_c1_BarGraph_PCM80(void);
static void c1_c1_BarGraph_PCM80(void);
static uint8_T c1__u8_s8_(int8_T c1_b);
static uint8_T c1__u8_s32_(int32_T c1_b);
static uint8_T *c1_ch(void);
static uint8_T *c1_fname(void);
static int8_T *c1_evt_ch_rdy(void);
static int8_T *c1_evt_tick(void);
static void init_test_point_addr_map(void);
static void **get_test_point_address_map(void);
static rtwCAPI_ModelMappingInfo *get_test_point_mapping_info(void);
static void init_dsm_address_info(void);
static void sf_save_state_c1_BarGraph_PCM80(FILE *c1_file);
static void sf_load_state_c1_BarGraph_PCM80(FILE *c1_file);

/* Function Definitions */
static void initialize_c1_BarGraph_PCM80(void)
{
  int32_T c1_sf_i0;
  uint8_T c1_previousEvent;
  chartInstance.c1_tp_rdy = 0U;
  chartInstance.c1_is_active_c1_BarGraph_PCM80 = 0U;
  chartInstance.c1_is_c1_BarGraph_PCM80 = 0U;
  chartInstance.c1_idx = 0U;
  if(!(cdrGetOutputPortReusable(chartInstance.S, 1) != 0)) {
    for(c1_sf_i0 = 0; c1_sf_i0 < 18; c1_sf_i0 = c1_sf_i0 + 1) {
      c1_fname()[c1_sf_i0] = 0U;
    }
  }
  c1_previousEvent = _sfEvent_;
  _sfEvent_ = CALL_EVENT;
  _SFD_CC_CALL(CHART_ENTER_ENTRY_FUNCTION_TAG,0);
  chartInstance.c1_is_active_c1_BarGraph_PCM80 = 1U;
  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG,0);
  _SFD_CT_CALL(TRANSITION_ACTIVE_TAG,4);
  c1_fname()[0] = c1__u8_s8_(0);
  _SFD_DATA_RANGE_CHECK((real_T)c1_fname()[0], 0U);
  _SFD_CT_CALL(TRANSITION_ACTIVE_TAG,0);
  chartInstance.c1_idx = c1__u8_s8_(0);
  _SFD_DATA_RANGE_CHECK((real_T)chartInstance.c1_idx, 1U);
  chartInstance.c1_is_c1_BarGraph_PCM80 = (uint8_T)c1_IN_rdy;
  _SFD_CS_CALL(STATE_ACTIVE_TAG,0);
  chartInstance.c1_tp_rdy = 1U;
  sf_debug_check_for_state_inconsistency();
  _sfEvent_ = c1_previousEvent;
}

static void initialize_params_c1_BarGraph_PCM80(void)
{
}

static void enable_c1_BarGraph_PCM80(void)
{
}

static void disable_c1_BarGraph_PCM80(void)
{
}

static void finalize_c1_BarGraph_PCM80(void)
{
}

static void sf_c1_BarGraph_PCM80(void)
{
  int32_T c1_sf_i1;
  uint8_T c1_previousEvent;
  uint8_T c1_b_previousEvent;
  _sfTime_ = (real_T)ssGetT(chartInstance.S);
  _SFD_DATA_RANGE_CHECK((real_T)*c1_ch(), 2U);
  for(c1_sf_i1 = 0; c1_sf_i1 < 18; c1_sf_i1 = c1_sf_i1 + 1) {
    _SFD_DATA_RANGE_CHECK((real_T)c1_fname()[c1_sf_i1], 0U);
  }
  _SFD_DATA_RANGE_CHECK((real_T)chartInstance.c1_idx, 1U);
  if(*c1_evt_ch_rdy() == 2) {
    c1_previousEvent = _sfEvent_;
    _sfEvent_ = c1_event_evt_ch_rdy;
    _SFD_CE_CALL(EVENT_BEFORE_BROADCAST_TAG,c1_event_evt_ch_rdy);
    c1_c1_BarGraph_PCM80();
    _SFD_CE_CALL(EVENT_AFTER_BROADCAST_TAG,c1_event_evt_ch_rdy);
    _sfEvent_ = c1_previousEvent;
  }
  if(*c1_evt_tick() == 2) {
    c1_b_previousEvent = _sfEvent_;
    _sfEvent_ = c1_event_evt_tick;
    _SFD_CE_CALL(EVENT_BEFORE_BROADCAST_TAG,c1_event_evt_tick);
    c1_c1_BarGraph_PCM80();
    _SFD_CE_CALL(EVENT_AFTER_BROADCAST_TAG,c1_event_evt_tick);
    _sfEvent_ = c1_b_previousEvent;
  }
  sf_debug_check_for_state_inconsistency();
}

static void c1_c1_BarGraph_PCM80(void)
{
  _SFD_CC_CALL(CHART_ENTER_DURING_FUNCTION_TAG,0);
  _SFD_CS_CALL(STATE_ENTER_DURING_FUNCTION_TAG,0);
  if(CV_TRANSITION_EVAL(2U, (int32_T)_SFD_CCP_CALL(2,0,((_sfEvent_ ==
       c1_event_evt_ch_rdy)!=0))) != 0) {
    if(sf_debug_transition_conflict_check_enabled()) {
      unsigned int transitionList[2];
      unsigned int numTransitions=1;
      transitionList[0] = 2;
      sf_debug_transition_conflict_check_begin();
      if(_sfEvent_ == c1_event_evt_tick) {
        transitionList[numTransitions] = 3;
        numTransitions++;
      }
      sf_debug_transition_conflict_check_end();
      if(numTransitions>1) {
        _SFD_TRANSITION_CONFLICT(&(transitionList[0]),numTransitions);
      }
    }
    _SFD_CT_CALL(TRANSITION_ACTIVE_TAG,2);
    if(CV_TRANSITION_EVAL(5U, (int32_T)_SFD_CCP_CALL(5,0,((chartInstance.c1_idx
         >= 50)!=0))) != 0) {
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG,5);
    } else {
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG,1);
      c1_fname()[(int32_T)_SFD_ARRAY_BOUNDS_CHECK(0U,
       (int32_T)chartInstance.c1_idx, 0, 17, 1)] = *c1_ch();
      _SFD_DATA_RANGE_CHECK((real_T)c1_fname()[(int32_T)_SFD_ARRAY_BOUNDS_CHECK(0U,
        (int32_T)chartInstance.c1_idx, 0, 17, 1)], 0U);
      chartInstance.c1_idx = c1__u8_s32_(chartInstance.c1_idx + 1);
      _SFD_DATA_RANGE_CHECK((real_T)chartInstance.c1_idx, 1U);
      c1_fname()[(int32_T)_SFD_ARRAY_BOUNDS_CHECK(0U,
       (int32_T)chartInstance.c1_idx, 0, 17, 1)] = c1__u8_s8_(0);
      _SFD_DATA_RANGE_CHECK((real_T)c1_fname()[(int32_T)_SFD_ARRAY_BOUNDS_CHECK(0U,
        (int32_T)chartInstance.c1_idx, 0, 17, 1)], 0U);
      chartInstance.c1_tp_rdy = 0U;
      _SFD_CS_CALL(STATE_INACTIVE_TAG,0);
      _SFD_CS_CALL(STATE_ENTER_EXIT_FUNCTION_TAG,0);
      chartInstance.c1_is_c1_BarGraph_PCM80 = (uint8_T)c1_IN_rdy;
      _SFD_CS_CALL(STATE_ACTIVE_TAG,0);
      chartInstance.c1_tp_rdy = 1U;
      goto label_1;
    }
  } else if(CV_TRANSITION_EVAL(3U, (int32_T)_SFD_CCP_CALL(3,0,((_sfEvent_ ==
       c1_event_evt_tick)!=0))) != 0) {
    _SFD_CT_CALL(TRANSITION_ACTIVE_TAG,3);
  } else {
    goto label_1;
  }
  _SFD_CT_CALL(TRANSITION_ACTIVE_TAG,0);
  chartInstance.c1_idx = c1__u8_s8_(0);
  _SFD_DATA_RANGE_CHECK((real_T)chartInstance.c1_idx, 1U);
  chartInstance.c1_tp_rdy = 0U;
  _SFD_CS_CALL(STATE_INACTIVE_TAG,0);
  _SFD_CS_CALL(STATE_ENTER_EXIT_FUNCTION_TAG,0);
  chartInstance.c1_is_c1_BarGraph_PCM80 = (uint8_T)c1_IN_rdy;
  _SFD_CS_CALL(STATE_ACTIVE_TAG,0);
  chartInstance.c1_tp_rdy = 1U;
  label_1:;
  _SFD_CS_CALL(EXIT_OUT_OF_FUNCTION_TAG,0);
  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG,0);
}

static uint8_T c1__u8_s8_(int8_T c1_b)
{
  uint8_T c1_a;
  c1_a = (uint8_T)c1_b;
  if(c1_b < 0) {
    sf_debug_overflow_detection(0);
  }
  return c1_a;
}

static uint8_T c1__u8_s32_(int32_T c1_b)
{
  uint8_T c1_a;
  c1_a = (uint8_T)c1_b;
  if(c1_a != c1_b) {
    sf_debug_overflow_detection(0);
  }
  return c1_a;
}

static uint8_T *c1_ch(void)
{
  return (uint8_T *)ssGetInputPortSignal(chartInstance.S, 0);
}

static uint8_T *c1_fname(void)
{
  return (uint8_T *)ssGetOutputPortSignal(chartInstance.S, 1);
}

static int8_T *c1_evt_ch_rdy(void)
{
  return (int8_T *)*(ssGetInputPortSignalPtrs(chartInstance.S, 1) + 0);
}

static int8_T *c1_evt_tick(void)
{
  return (int8_T *)*(ssGetInputPortSignalPtrs(chartInstance.S, 1) + 1);
}

static void init_test_point_addr_map(void)
{
  chartInstance.c1_testPointAddrMap[0] = &chartInstance.c1_idx;
  chartInstance.c1_testPointAddrMap[1] = &chartInstance.c1_tp_rdy;
}

static void **get_test_point_address_map(void)
{
  return &chartInstance.c1_testPointAddrMap[0];
}

static rtwCAPI_ModelMappingInfo *get_test_point_mapping_info(void)
{
  return &chartInstance.c1_testPointMappingInfo;
}

static void init_dsm_address_info(void)
{
}

static void sf_save_state_c1_BarGraph_PCM80(FILE *c1_file)
{
  fwrite(&chartInstance.c1_tp_rdy, 1, sizeof(chartInstance.c1_tp_rdy), c1_file);
  fwrite(&chartInstance.c1_is_active_c1_BarGraph_PCM80, 1,
   sizeof(chartInstance.c1_is_active_c1_BarGraph_PCM80), c1_file);
  fwrite(&chartInstance.c1_is_c1_BarGraph_PCM80, 1,
   sizeof(chartInstance.c1_is_c1_BarGraph_PCM80), c1_file);
  fwrite(&chartInstance.c1_idx, 1, sizeof(chartInstance.c1_idx), c1_file);
}

static void sf_load_state_c1_BarGraph_PCM80(FILE *c1_file)
{
  fread(&chartInstance.c1_tp_rdy, 1, sizeof(chartInstance.c1_tp_rdy), c1_file);
  fread(&chartInstance.c1_is_active_c1_BarGraph_PCM80, 1,
   sizeof(chartInstance.c1_is_active_c1_BarGraph_PCM80), c1_file);
  fread(&chartInstance.c1_is_c1_BarGraph_PCM80, 1,
   sizeof(chartInstance.c1_is_c1_BarGraph_PCM80), c1_file);
  fread(&chartInstance.c1_idx, 1, sizeof(chartInstance.c1_idx), c1_file);
}

/* SFunction Glue Code */
static void init_test_point_mapping_info(SimStruct *S);
void sf_c1_BarGraph_PCM80_get_check_sum(mxArray *plhs[])
{
  ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(2516573497U);
  ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(2717083979U);
  ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(4217554409U);
  ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(3586310170U);
}

mxArray *sf_c1_BarGraph_PCM80_get_autoinheritance_info(void)
{
  const char *autoinheritanceFields[] =
  {"checksum","inputs","parameters","outputs"};
  mxArray *mxAutoinheritanceInfo =
  mxCreateStructMatrix(1,1,4,autoinheritanceFields);
  {
    mxArray *mxChecksum = mxCreateDoubleMatrix(4,1,mxREAL);
    double *pr = mxGetPr(mxChecksum);
    pr[0] = (double)(1998923381U);
    pr[1] = (double)(4277644391U);
    pr[2] = (double)(3947205027U);
    pr[3] = (double)(1206700448U);
    mxSetField(mxAutoinheritanceInfo,0,"checksum",mxChecksum);
  }
  {
    const char *dataFields[] = {"size","type","complexity"};
    mxArray *mxData = mxCreateStructMatrix(1,1,3,dataFields);
    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }
    {
      const char *typeFields[] = {"base","aliasId","fixpt"};
      mxArray *mxType = mxCreateStructMatrix(1,1,3,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(3));
      mxSetField(mxType,0,"aliasId",mxCreateDoubleScalar(0));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }
    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"inputs",mxData);
  }
  {
    mxSetField(mxAutoinheritanceInfo,0,"parameters",mxCreateDoubleMatrix(0,0,mxREAL));
  }
  {
    const char *dataFields[] = {"size","type","complexity"};
    mxArray *mxData = mxCreateStructMatrix(1,1,3,dataFields);
    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(18);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }
    {
      const char *typeFields[] = {"base","aliasId","fixpt"};
      mxArray *mxType = mxCreateStructMatrix(1,1,3,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(3));
      mxSetField(mxType,0,"aliasId",mxCreateDoubleScalar(0));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }
    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"outputs",mxData);
  }
  return(mxAutoinheritanceInfo);
}

static void chart_debug_initialization(SimStruct *S)
{
  if(ssIsFirstInitCond(S)) {
    /* do this only if simulation is starting */
    if(!sim_mode_is_rtw_gen(S)) {
      {
        unsigned int chartAlreadyPresent;
        chartAlreadyPresent =
          sf_debug_initialize_chart(_BarGraph_PCM80MachineNumber_,
         1,
         1,
         6,
         3,
         2,
         0,
         0,
         0,
         &(chartInstance.chartNumber),
         &(chartInstance.instanceNumber),
         ssGetPath(S),
         (void *)S);
        if(chartAlreadyPresent==0) {
          /* this is the first instance */
          sf_debug_set_chart_disable_implicit_casting(_BarGraph_PCM80MachineNumber_,chartInstance.chartNumber,1);
          sf_debug_set_chart_event_thresholds(_BarGraph_PCM80MachineNumber_,
           chartInstance.chartNumber,
           2,
           2,
           2);

          _SFD_SET_DATA_PROPS(2,1,1,0,SF_UINT8,0,NULL,0,0,0,0.0,1.0,0,"ch",0);
          {
            unsigned int dimVector[1];
            dimVector[0]= 18;
            _SFD_SET_DATA_PROPS(0,2,0,1,SF_UINT8,1,&(dimVector[0]),0,0,0,0.0,1.0,0,"fname",0);
          }
          _SFD_SET_DATA_PROPS(1,0,0,0,SF_UINT8,0,NULL,0,0,0,0.0,1.0,0,"idx",0);
          _SFD_EVENT_SCOPE(0,1);
          _SFD_EVENT_SCOPE(1,1);
          _SFD_STATE_INFO(0,0,0);
          _SFD_CH_SUBSTATE_COUNT(1);
          _SFD_CH_SUBSTATE_DECOMP(0);
          _SFD_CH_SUBSTATE_INDEX(0,0);
          _SFD_ST_SUBSTATE_COUNT(0,0);
        }
        _SFD_CV_INIT_CHART(1,0,0,0);
        {
          _SFD_CV_INIT_STATE(0,0,0,0,0,0,NULL,NULL);
        }

        _SFD_CV_INIT_TRANS(0,0,NULL,NULL,0,NULL);

        {
          static unsigned int sStartGuardMap[] = {0};
          static unsigned int sEndGuardMap[] = {8};
          static int sPostFixPredicateTree[] = {0};
          _SFD_CV_INIT_TRANS(3,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,&(sPostFixPredicateTree[0]));
        }
        _SFD_CV_INIT_TRANS(4,0,NULL,NULL,0,NULL);

        {
          static unsigned int sStartGuardMap[] = {1};
          static unsigned int sEndGuardMap[] = {11};
          static int sPostFixPredicateTree[] = {0};
          _SFD_CV_INIT_TRANS(2,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,&(sPostFixPredicateTree[0]));
        }
        {
          static unsigned int sStartGuardMap[] = {1};
          static unsigned int sEndGuardMap[] = {10};
          static int sPostFixPredicateTree[] = {0};
          _SFD_CV_INIT_TRANS(5,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,&(sPostFixPredicateTree[0]));
        }
        _SFD_CV_INIT_TRANS(1,0,NULL,NULL,0,NULL);

        _SFD_TRANS_COV_WTS(0,0,0,1,0);
        if(chartAlreadyPresent==0)
        {
          _SFD_TRANS_COV_MAPS(0,
           0,NULL,NULL,
           0,NULL,NULL,
           1,NULL,NULL,
           0,NULL,NULL);
        }
        _SFD_TRANS_COV_WTS(3,0,1,0,0);
        if(chartAlreadyPresent==0)
        {
          static unsigned int sStartGuardMap[] = {0};
          static unsigned int sEndGuardMap[] = {8};
          _SFD_TRANS_COV_MAPS(3,
           0,NULL,NULL,
           1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
           0,NULL,NULL,
           0,NULL,NULL);
        }
        _SFD_TRANS_COV_WTS(4,0,0,1,0);
        if(chartAlreadyPresent==0)
        {
          _SFD_TRANS_COV_MAPS(4,
           0,NULL,NULL,
           0,NULL,NULL,
           1,NULL,NULL,
           0,NULL,NULL);
        }
        _SFD_TRANS_COV_WTS(2,0,1,0,0);
        if(chartAlreadyPresent==0)
        {
          static unsigned int sStartGuardMap[] = {1};
          static unsigned int sEndGuardMap[] = {11};
          _SFD_TRANS_COV_MAPS(2,
           0,NULL,NULL,
           1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
           0,NULL,NULL,
           0,NULL,NULL);
        }
        _SFD_TRANS_COV_WTS(5,0,1,0,0);
        if(chartAlreadyPresent==0)
        {
          static unsigned int sStartGuardMap[] = {1};
          static unsigned int sEndGuardMap[] = {10};
          _SFD_TRANS_COV_MAPS(5,
           0,NULL,NULL,
           1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
           0,NULL,NULL,
           0,NULL,NULL);
        }
        _SFD_TRANS_COV_WTS(1,0,0,3,0);
        if(chartAlreadyPresent==0)
        {
          _SFD_TRANS_COV_MAPS(1,
           0,NULL,NULL,
           0,NULL,NULL,
           3,NULL,NULL,
           0,NULL,NULL);
        }
        _SFD_SET_DATA_VALUE_PTR(2U, c1_ch());
        _SFD_SET_DATA_VALUE_PTR(0U, c1_fname());
        _SFD_SET_DATA_VALUE_PTR(1U, &chartInstance.c1_idx);
      }
    }
  } else {
    sf_debug_reset_current_state_configuration(_BarGraph_PCM80MachineNumber_,chartInstance.chartNumber,chartInstance.instanceNumber);
  }
}

static void sf_opaque_initialize_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  chart_debug_initialization(chartInstance.S);
  initialize_params_c1_BarGraph_PCM80();
  initialize_c1_BarGraph_PCM80();
}

static void sf_opaque_enable_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  enable_c1_BarGraph_PCM80();
}

static void sf_opaque_disable_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  disable_c1_BarGraph_PCM80();
}

static void sf_opaque_gateway_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  sf_c1_BarGraph_PCM80();
}

static void sf_opaque_terminate_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  finalize_c1_BarGraph_PCM80();
}

static void mdlProcessParameters_c1_BarGraph_PCM80(SimStruct *S)
{
  int i;
  for(i=0;i<ssGetNumRunTimeParams(S);i++) {
    if(ssGetSFcnParamTunable(S,i)) {
      ssUpdateDlgParamAsRunTimeParam(S,i);
    }
  }
  initialize_params_c1_BarGraph_PCM80();
}

static void mdlSetWorkWidths_c1_BarGraph_PCM80(SimStruct *S)
{
  if(sim_mode_is_rtw_gen(S)) {
    int_T chartIsInlinable =
      (int_T)sf_is_chart_inlinable("BarGraph_PCM80",1);
    ssSetStateflowIsInlinable(S,chartIsInlinable);
    ssSetEnableFcnIsTrivial(S,1);
    ssSetDisableFcnIsTrivial(S,1);
    ssSetNotMultipleInlinable(S,sf_rtw_info_uint_prop("BarGraph_PCM80",1,"gatewayCannotBeInlinedMultipleTimes"));
    if(chartIsInlinable) {
      ssSetInputPortOptimOpts(S, 0, SS_REUSABLE_AND_LOCAL);
      sf_mark_chart_expressionable_inputs(S,"BarGraph_PCM80",1,1);
      sf_mark_chart_reusable_outputs(S,"BarGraph_PCM80",1,1);
    }
    ssSetInputPortOptimOpts(S, 1, SS_REUSABLE_AND_LOCAL);
    if (!sf_is_chart_instance_optimized_out("BarGraph_PCM80",1)) {
      int dtId;
      char *chartInstanceTypedefName =
        sf_chart_instance_typedef_name("BarGraph_PCM80",1);
      dtId = ssRegisterDataType(S, chartInstanceTypedefName);
      if (dtId == INVALID_DTYPE_ID ) return;
      /* Register the size of the udt */
      if (!ssSetDataTypeSize(S, dtId, 8)) return;
      if(!ssSetNumDWork(S,1)) return;
      ssSetDWorkDataType(S, 0, dtId);
      ssSetDWorkWidth(S, 0, 1);
      ssSetDWorkName(S, 0, "ChartInstance"); /*optional name, less than 16 chars*/
      sf_set_rtw_identifier(S);
    }
    ssSetHasSubFunctions(S,!(chartIsInlinable));
    ssSetOptions(S,ssGetOptions(S)|SS_OPTION_WORKS_WITH_CODE_REUSE);
    ssSetCallsOutputInInitFcn(S,1);
  }

  ssSetChecksum0(S,(2516573497U));
  ssSetChecksum1(S,(2717083979U));
  ssSetChecksum2(S,(4217554409U));
  ssSetChecksum3(S,(3586310170U));

  ssSetExplicitFCSSCtrl(S,1);
}

static void mdlRTW_c1_BarGraph_PCM80(SimStruct *S)
{
  if(sim_mode_is_rtw_gen(S)) {
    sf_write_symbol_mapping(S, "BarGraph_PCM80", 1);
    ssWriteRTWStrParam(S, "StateflowChartType", "Stateflow");
  }
}

static void sf_save_debug_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct*
 chartInstance, FILE* file)
{
  int machineNumber = _BarGraph_PCM80MachineNumber_;
  int chartNumber = chartInstance->chartNumber;
  int instanceNumber = chartInstance->instanceNumber;
  int bufferSize = sf_debug_get_state_vectors_data_size(machineNumber,
   chartNumber, instanceNumber);
  unsigned char* buffer = (unsigned char*) malloc(bufferSize);
  unsigned int chartActive = sf_debug_get_chart_active(machineNumber,
   chartNumber, instanceNumber);
  fwrite(&chartActive, sizeof(chartActive),1,file);
  sf_debug_get_state_vectors_data(machineNumber, chartNumber, instanceNumber,
   buffer, bufferSize);
  fwrite(&bufferSize, sizeof(bufferSize), 1, file); /* Write number of bytes */
  fwrite(buffer, 1, bufferSize,file);   /* Write buffer */
  free(buffer);
}
static void sf_load_debug_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct*
 chartInstance,FILE* file)
{
  int machineNumber = _BarGraph_PCM80MachineNumber_;
  int chartNumber = chartInstance->chartNumber;
  int instanceNumber = chartInstance->instanceNumber;
  int bufferSize = 0;
  unsigned char* buffer = NULL;
  unsigned int chartActive = 0;
  fread(&chartActive, sizeof(chartActive),1,file);
  sf_debug_set_chart_active(machineNumber, chartNumber, instanceNumber,
   chartActive);
  fread(&bufferSize, sizeof(bufferSize), 1, file);
  buffer = (unsigned char*) malloc(bufferSize);
  fread(buffer, 1, bufferSize, file);
  sf_debug_set_state_vectors_data(machineNumber, chartNumber, instanceNumber,
   buffer, bufferSize);
  free(buffer);
}
static void sf_c1_BarGraph_PCM80_sim_ctx_io(SimStruct* S, const char io, FILE*
 file)
{
  if(io == 'r') {
    sf_load_state_c1_BarGraph_PCM80(file);
    sf_load_debug_c1_BarGraph_PCM80(&chartInstance, file);
  } else {
    sf_save_state_c1_BarGraph_PCM80(file);
    sf_save_debug_c1_BarGraph_PCM80(&chartInstance, file);
  }
}
static void mdlStart_c1_BarGraph_PCM80(SimStruct *S)
{
  chartInstance.chartInfo.chartInstance = NULL;
  chartInstance.chartInfo.isEMLChart = 0;
  chartInstance.chartInfo.chartInitialized = 0;
  chartInstance.chartInfo.sFunctionGateway = sf_opaque_gateway_c1_BarGraph_PCM80;
  chartInstance.chartInfo.initializeChart =
    sf_opaque_initialize_c1_BarGraph_PCM80;
  chartInstance.chartInfo.terminateChart = sf_opaque_terminate_c1_BarGraph_PCM80;
  chartInstance.chartInfo.enableChart = sf_opaque_enable_c1_BarGraph_PCM80;
  chartInstance.chartInfo.disableChart = sf_opaque_disable_c1_BarGraph_PCM80;
  chartInstance.chartInfo.mdlRTW = mdlRTW_c1_BarGraph_PCM80;
  chartInstance.chartInfo.mdlStart = mdlStart_c1_BarGraph_PCM80;
  chartInstance.chartInfo.mdlSetWorkWidths = mdlSetWorkWidths_c1_BarGraph_PCM80;
  chartInstance.chartInfo.restoreLastMajorStepConfiguration = NULL;
  chartInstance.chartInfo.restoreBeforeLastMajorStepConfiguration = NULL;
  chartInstance.chartInfo.storeCurrentConfiguration = NULL;
  chartInstance.S = S;
  ssSetUserData(S,(void *)(&(chartInstance.chartInfo))); /* register the chart instance with simstruct */
  ssSetmdlSimulationContextIO(S, sf_c1_BarGraph_PCM80_sim_ctx_io);

  if(!sim_mode_is_rtw_gen(S)) {
    init_test_point_mapping_info(S);
  }
  if(!sim_mode_is_rtw_gen(S)) {
    init_dsm_address_info();
  }
}

void c1_BarGraph_PCM80_method_dispatcher(SimStruct *S, int_T method, void *data)
{
  switch (method) {
   case SS_CALL_MDL_START:
    mdlStart_c1_BarGraph_PCM80(S);
    break;
   case SS_CALL_MDL_SET_WORK_WIDTHS:
    mdlSetWorkWidths_c1_BarGraph_PCM80(S);
    break;
   case SS_CALL_MDL_PROCESS_PARAMETERS:
    mdlProcessParameters_c1_BarGraph_PCM80(S);
    break;
   default:
    /* Unhandled method */
    sf_mex_error_message("Stateflow Internal Error:\n"
     "Error calling c1_BarGraph_PCM80_method_dispatcher.\n"
     "Can't handle method %d.\n", method);
    break;
  }
}

static const rtwCAPI_DataTypeMap dataTypeMap[] = {
  /* cName, mwName, numElements, elemMapIndex, dataSize, slDataId, isComplex, isPointer */
  {"uint8_T", "uint8_T", 0, 0, sizeof(uint8_T), SS_UINT8, 0, 0}
};

static const rtwCAPI_FixPtMap fixedPointMap[] = {
  /* *fracSlope, *bias, scaleType, wordLength, exponent, isSigned */
  {NULL, NULL, rtwCAPI_FIX_RESERVED, 64, 0, 0}
};

static const rtwCAPI_DimensionMap dimensionMap[] = {
  /* dataOrientation, dimArrayIndex, numDims*/
  {rtwCAPI_SCALAR, 0, 2}
};

static const uint_T dimensionArray[] = {
  1, 1
};

static real_T sfCAPIsampleTimeZero = 0.0;
static const rtwCAPI_SampleTimeMap sampleTimeMap[] = {
  /* *period, *offset, taskId, mode */
  {&sfCAPIsampleTimeZero, &sfCAPIsampleTimeZero, 0, 0}
};

static const rtwCAPI_Signals testPointSignals[] = {
  /* addrMapIndex, sysNum, SFRelativePath, dataName, portNumber, dataTypeIndex, dimIndex, fixPtIdx, sTimeIndex */
  {0, 0,"StateflowChart/idx", "idx", 0, 0, 0, 0, 0},
  {1, 0, "StateflowChart/rdy", "rdy", 0, 0, 0, 0, 0}
};

static rtwCAPI_ModelMappingStaticInfo testPointMappingStaticInfo = {
  /* block signal monitoring */
  {
    testPointSignals,                   /* Block signals Array  */
    2                                   /* Num Block IO signals */
  },

  /* parameter tuning */
  {
    NULL,                               /* Block parameters Array    */
    0,                                  /* Num block parameters      */
    NULL,                               /* Variable parameters Array */
    0                                   /* Num variable parameters   */
  },

  /* block states */
  {
    NULL,                               /* Block States array        */
    0                                   /* Num Block States          */
  },

  /* Static maps */
  {
    dataTypeMap,                        /* Data Type Map            */
    dimensionMap,                       /* Data Dimension Map       */
    fixedPointMap,                      /* Fixed Point Map          */
    NULL,                               /* Structure Element map    */
    sampleTimeMap,                      /* Sample Times Map         */
    dimensionArray                      /* Dimension Array          */
  },

  /* Target type */
  "float"
};

static void init_test_point_mapping_info(SimStruct *S) {
  rtwCAPI_ModelMappingInfo *testPointMappingInfo;
  void **testPointAddrMap;

  init_test_point_addr_map();
  testPointMappingInfo = get_test_point_mapping_info();
  testPointAddrMap = get_test_point_address_map();

  rtwCAPI_SetStaticMap(*testPointMappingInfo, &testPointMappingStaticInfo);
  rtwCAPI_SetLoggingStaticMap(*testPointMappingInfo, NULL);
  rtwCAPI_SetInstanceLoggingInfo(*testPointMappingInfo, NULL);
  rtwCAPI_SetPath(*testPointMappingInfo, "");
  rtwCAPI_SetFullPath(*testPointMappingInfo, NULL);
  rtwCAPI_SetDataAddressMap(*testPointMappingInfo, testPointAddrMap);
  rtwCAPI_SetChildMMIArray(*testPointMappingInfo, NULL);
  rtwCAPI_SetChildMMIArrayLen(*testPointMappingInfo, 0);

  ssSetModelMappingInfoPtr(S, testPointMappingInfo);
}

