/* Include files */

#include "blascompat32.h"
#include "BarGraph_PCM80_sfun.h"
#include "c1_BarGraph_PCM80.h"
#define CHARTINSTANCE_CHARTNUMBER      (chartInstance->chartNumber)
#define CHARTINSTANCE_INSTANCENUMBER   (chartInstance->instanceNumber)
#include "BarGraph_PCM80_sfun_debug_macros.h"

/* Type Definitions */

/* Named Constants */
#define c1_event_evt_ch_rdy            (0)
#define c1_event_evt_tick              (1)
#define c1_IN_NO_ACTIVE_CHILD          (0U)
#define c1_IN_rdy                      (1U)

/* Variable Declarations */

/* Variable Definitions */

/* Function Declarations */
static void initialize_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);
static void initialize_params_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance);
static void enable_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);
static void disable_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);
static void c1_update_debugger_state_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance);
static const mxArray *get_sim_state_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance);
static void set_sim_state_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_st);
static void c1_set_sim_state_side_effects_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance);
static void finalize_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);
static void sf_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);
static void c1_chartstep_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);
static void initSimStructsc1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);
static void init_script_number_translation(uint32_T c1_machineNumber, uint32_T
  c1_chartNumber);
static const mxArray *c1_sf_marshallOut(void *chartInstanceVoid, void *c1_inData);
static int8_T c1_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static void c1_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData);
static const mxArray *c1_b_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData);
static int32_T c1_b_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static void c1_b_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData);
static const mxArray *c1_c_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData);
static uint8_T c1_c_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_b_tp_rdy, const char_T *c1_identifier);
static uint8_T c1_d_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static void c1_c_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData);
static const mxArray *c1_d_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData);
static void c1_e_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_fname, const char_T *c1_identifier, uint8_T
  c1_y[18]);
static void c1_f_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId,
  uint8_T c1_y[18]);
static void c1_d_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData);
static const mxArray *c1_g_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_b_setSimStateSideEffectsInfo, const char_T
  *c1_identifier);
static const mxArray *c1_h_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId);
static uint8_T c1__u8_s32_(SFc1_BarGraph_PCM80InstanceStruct *chartInstance,
  int32_T c1_b);
static void init_dsm_address_info(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance);

/* Function Definitions */
static void initialize_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
  int32_T c1_i0;
  uint8_T (*c1_fname)[18];
  c1_fname = (uint8_T (*)[18])ssGetOutputPortSignal(chartInstance->S, 1);
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  chartInstance->c1_doSetSimStateSideEffects = 0U;
  chartInstance->c1_setSimStateSideEffectsInfo = NULL;
  chartInstance->c1_tp_rdy = 0U;
  chartInstance->c1_is_active_c1_BarGraph_PCM80 = 0U;
  chartInstance->c1_is_c1_BarGraph_PCM80 = 0U;
  chartInstance->c1_idx = 0U;
  if (!(cdrGetOutputPortReusable(chartInstance->S, 1) != 0)) {
    for (c1_i0 = 0; c1_i0 < 18; c1_i0++) {
      (*c1_fname)[c1_i0] = 0U;
    }
  }

  _SFD_CC_CALL(CHART_ENTER_ENTRY_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
  chartInstance->c1_is_active_c1_BarGraph_PCM80 = 1U;
  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
  _SFD_CC_CALL(CHART_ENTER_DURING_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
  _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 2U, chartInstance->c1_sfEvent);
  _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 2U, chartInstance->c1_sfEvent);
  (*c1_fname)[0] = 0U;
  _SFD_DATA_RANGE_CHECK((real_T)(*c1_fname)[0], 1U);
  _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 0U, chartInstance->c1_sfEvent);
  _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  chartInstance->c1_idx = 0U;
  _SFD_DATA_RANGE_CHECK((real_T)chartInstance->c1_idx, 2U);
  chartInstance->c1_is_c1_BarGraph_PCM80 = c1_IN_rdy;
  _SFD_CS_CALL(STATE_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  chartInstance->c1_tp_rdy = 1U;
  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
}

static void initialize_params_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance)
{
}

static void enable_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void disable_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void c1_update_debugger_state_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance)
{
  uint32_T c1_prevAniVal;
  c1_prevAniVal = sf_debug_get_animation();
  sf_debug_set_animation(0U);
  if ((int16_T)chartInstance->c1_is_active_c1_BarGraph_PCM80 == 1) {
    _SFD_CC_CALL(CHART_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  }

  if (chartInstance->c1_is_c1_BarGraph_PCM80 == c1_IN_rdy) {
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  } else {
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
  }

  sf_debug_set_animation(c1_prevAniVal);
  _SFD_ANIMATE();
}

static const mxArray *get_sim_state_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance)
{
  const mxArray *c1_st;
  const mxArray *c1_y = NULL;
  int32_T c1_i1;
  uint8_T c1_u[18];
  const mxArray *c1_b_y = NULL;
  uint8_T c1_hoistedGlobal;
  uint8_T c1_b_u;
  const mxArray *c1_c_y = NULL;
  uint8_T c1_b_hoistedGlobal;
  uint8_T c1_c_u;
  const mxArray *c1_d_y = NULL;
  uint8_T c1_c_hoistedGlobal;
  uint8_T c1_d_u;
  const mxArray *c1_e_y = NULL;
  uint8_T (*c1_fname)[18];
  c1_fname = (uint8_T (*)[18])ssGetOutputPortSignal(chartInstance->S, 1);
  c1_st = NULL;
  c1_st = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_createcellarray(4));
  for (c1_i1 = 0; c1_i1 < 18; c1_i1++) {
    c1_u[c1_i1] = (*c1_fname)[c1_i1];
  }

  c1_b_y = NULL;
  sf_mex_assign(&c1_b_y, sf_mex_create("y", c1_u, 3, 0U, 1U, 0U, 1, 18));
  sf_mex_setcell(c1_y, 0, c1_b_y);
  c1_hoistedGlobal = chartInstance->c1_idx;
  c1_b_u = c1_hoistedGlobal;
  c1_c_y = NULL;
  sf_mex_assign(&c1_c_y, sf_mex_create("y", &c1_b_u, 3, 0U, 0U, 0U, 0));
  sf_mex_setcell(c1_y, 1, c1_c_y);
  c1_b_hoistedGlobal = chartInstance->c1_is_active_c1_BarGraph_PCM80;
  c1_c_u = c1_b_hoistedGlobal;
  c1_d_y = NULL;
  sf_mex_assign(&c1_d_y, sf_mex_create("y", &c1_c_u, 3, 0U, 0U, 0U, 0));
  sf_mex_setcell(c1_y, 2, c1_d_y);
  c1_c_hoistedGlobal = chartInstance->c1_is_c1_BarGraph_PCM80;
  c1_d_u = c1_c_hoistedGlobal;
  c1_e_y = NULL;
  sf_mex_assign(&c1_e_y, sf_mex_create("y", &c1_d_u, 3, 0U, 0U, 0U, 0));
  sf_mex_setcell(c1_y, 3, c1_e_y);
  sf_mex_assign(&c1_st, c1_y);
  return c1_st;
}

static void set_sim_state_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_st)
{
  const mxArray *c1_u;
  uint8_T c1_uv0[18];
  int32_T c1_i2;
  uint8_T (*c1_fname)[18];
  c1_fname = (uint8_T (*)[18])ssGetOutputPortSignal(chartInstance->S, 1);
  chartInstance->c1_doneDoubleBufferReInit = TRUE;
  c1_u = sf_mex_dup(c1_st);
  c1_e_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell(c1_u, 0)),
                        "fname", c1_uv0);
  for (c1_i2 = 0; c1_i2 < 18; c1_i2++) {
    (*c1_fname)[c1_i2] = c1_uv0[c1_i2];
  }

  chartInstance->c1_idx = c1_c_emlrt_marshallIn(chartInstance, sf_mex_dup
    (sf_mex_getcell(c1_u, 1)), "idx");
  chartInstance->c1_is_active_c1_BarGraph_PCM80 = c1_c_emlrt_marshallIn
    (chartInstance, sf_mex_dup(sf_mex_getcell(c1_u, 2)),
     "is_active_c1_BarGraph_PCM80");
  chartInstance->c1_is_c1_BarGraph_PCM80 = c1_c_emlrt_marshallIn(chartInstance,
    sf_mex_dup(sf_mex_getcell(c1_u, 3)), "is_c1_BarGraph_PCM80");
  sf_mex_assign(&chartInstance->c1_setSimStateSideEffectsInfo,
                c1_g_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell
    (c1_u, 4)), "setSimStateSideEffectsInfo"));
  sf_mex_destroy(&c1_u);
  chartInstance->c1_doSetSimStateSideEffects = 1U;
  c1_update_debugger_state_c1_BarGraph_PCM80(chartInstance);
  sf_mex_destroy(&c1_st);
}

static void c1_set_sim_state_side_effects_c1_BarGraph_PCM80
  (SFc1_BarGraph_PCM80InstanceStruct *chartInstance)
{
  if (chartInstance->c1_doSetSimStateSideEffects != 0) {
    if (chartInstance->c1_is_c1_BarGraph_PCM80 == c1_IN_rdy) {
      chartInstance->c1_tp_rdy = 1U;
    } else {
      chartInstance->c1_tp_rdy = 0U;
    }

    chartInstance->c1_doSetSimStateSideEffects = 0U;
  }
}

static void finalize_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
  sf_mex_destroy(&chartInstance->c1_setSimStateSideEffectsInfo);
}

static void sf_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
  int32_T c1_i3;
  uint8_T *c1_ch;
  uint8_T (*c1_fname)[18];
  int8_T *c1_evt_ch_rdy;
  int8_T *c1_evt_tick;
  c1_evt_tick = (int8_T *)*(ssGetInputPortSignalPtrs(chartInstance->S, 1) + 1);
  c1_evt_ch_rdy = (int8_T *)*(ssGetInputPortSignalPtrs(chartInstance->S, 1) + 0);
  c1_fname = (uint8_T (*)[18])ssGetOutputPortSignal(chartInstance->S, 1);
  c1_ch = (uint8_T *)ssGetInputPortSignal(chartInstance->S, 0);
  c1_set_sim_state_side_effects_c1_BarGraph_PCM80(chartInstance);
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  _SFD_CC_CALL(CHART_ENTER_SFUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
  _SFD_DATA_RANGE_CHECK((real_T)*c1_ch, 0U);
  for (c1_i3 = 0; c1_i3 < 18; c1_i3++) {
    _SFD_DATA_RANGE_CHECK((real_T)(*c1_fname)[c1_i3], 1U);
  }

  _SFD_DATA_RANGE_CHECK((real_T)chartInstance->c1_idx, 2U);
  if (*c1_evt_ch_rdy == 2) {
    chartInstance->c1_sfEvent = c1_event_evt_ch_rdy;
    _SFD_CE_CALL(EVENT_BEFORE_BROADCAST_TAG, c1_event_evt_ch_rdy,
                 chartInstance->c1_sfEvent);
    c1_chartstep_c1_BarGraph_PCM80(chartInstance);
    _SFD_CE_CALL(EVENT_AFTER_BROADCAST_TAG, c1_event_evt_ch_rdy,
                 chartInstance->c1_sfEvent);
  }

  if (*c1_evt_tick == 2) {
    chartInstance->c1_sfEvent = c1_event_evt_tick;
    _SFD_CE_CALL(EVENT_BEFORE_BROADCAST_TAG, c1_event_evt_tick,
                 chartInstance->c1_sfEvent);
    c1_chartstep_c1_BarGraph_PCM80(chartInstance);
    _SFD_CE_CALL(EVENT_AFTER_BROADCAST_TAG, c1_event_evt_tick,
                 chartInstance->c1_sfEvent);
  }

  sf_debug_check_for_state_inconsistency(_BarGraph_PCM80MachineNumber_,
    chartInstance->chartNumber, chartInstance->instanceNumber);
}

static void c1_chartstep_c1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
  uint8_T (*c1_fname)[18];
  uint8_T *c1_ch;
  boolean_T guard1 = FALSE;
  c1_fname = (uint8_T (*)[18])ssGetOutputPortSignal(chartInstance->S, 1);
  c1_ch = (uint8_T *)ssGetInputPortSignal(chartInstance->S, 0);
  _SFD_CC_CALL(CHART_ENTER_DURING_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
  _SFD_CS_CALL(STATE_ENTER_DURING_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
  _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 3U, chartInstance->c1_sfEvent);
  guard1 = FALSE;
  if (CV_TRANSITION_EVAL(3U, (int32_T)_SFD_CCP_CALL(3U, 0,
        chartInstance->c1_sfEvent == c1_event_evt_ch_rdy != 0U,
        chartInstance->c1_sfEvent))) {
    if (sf_debug_transition_conflict_check_enabled()) {
      unsigned int transitionList[2];
      unsigned int numTransitions = 1;
      transitionList[0] = 3;
      sf_debug_transition_conflict_check_begin();
      if (chartInstance->c1_sfEvent == c1_event_evt_tick) {
        transitionList[numTransitions] = 1;
        numTransitions++;
      }

      sf_debug_transition_conflict_check_end();
      if (numTransitions > 1) {
        _SFD_TRANSITION_CONFLICT(&(transitionList[0]),numTransitions);
      }
    }

    _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 3U, chartInstance->c1_sfEvent);
    _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 4U, chartInstance->c1_sfEvent);
    if (CV_TRANSITION_EVAL(4U, (int32_T)_SFD_CCP_CALL(4U, 0, (int16_T)
          chartInstance->c1_idx >= 50 != 0U, chartInstance->c1_sfEvent))) {
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 4U, chartInstance->c1_sfEvent);
      guard1 = TRUE;
    } else {
      _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 5U,
                   chartInstance->c1_sfEvent);
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 5U, chartInstance->c1_sfEvent);
      (*c1_fname)[(int32_T)(uint8_T)_SFD_ARRAY_BOUNDS_CHECK(1U, (int32_T)
        chartInstance->c1_idx, 0, 17, 1, 0)] = *c1_ch;
      _SFD_DATA_RANGE_CHECK((real_T)(*c1_fname)[(uint8_T)_SFD_ARRAY_BOUNDS_CHECK
                            (1U, (int32_T)chartInstance->c1_idx, 0, 17, 1, 0)],
                            1U);
      chartInstance->c1_idx = c1__u8_s32_(chartInstance, chartInstance->c1_idx +
        1);
      _SFD_DATA_RANGE_CHECK((real_T)chartInstance->c1_idx, 2U);
      (*c1_fname)[(int32_T)(uint8_T)_SFD_ARRAY_BOUNDS_CHECK(1U, (int32_T)
        chartInstance->c1_idx, 0, 17, 1, 0)] = 0U;
      _SFD_DATA_RANGE_CHECK((real_T)(*c1_fname)[(uint8_T)_SFD_ARRAY_BOUNDS_CHECK
                            (1U, (int32_T)chartInstance->c1_idx, 0, 17, 1, 0)],
                            1U);
      chartInstance->c1_tp_rdy = 0U;
      _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
      chartInstance->c1_is_c1_BarGraph_PCM80 = c1_IN_rdy;
      _SFD_CS_CALL(STATE_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
      chartInstance->c1_tp_rdy = 1U;
    }
  } else {
    _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 1U, chartInstance->c1_sfEvent);
    if (CV_TRANSITION_EVAL(1U, (int32_T)_SFD_CCP_CALL(1U, 0,
          chartInstance->c1_sfEvent == c1_event_evt_tick != 0U,
          chartInstance->c1_sfEvent))) {
      _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 1U, chartInstance->c1_sfEvent);
      guard1 = TRUE;
    }
  }

  if (guard1 == TRUE) {
    _SFD_CT_CALL(TRANSITION_BEFORE_PROCESSING_TAG, 0U, chartInstance->c1_sfEvent);
    _SFD_CT_CALL(TRANSITION_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
    chartInstance->c1_idx = 0U;
    _SFD_DATA_RANGE_CHECK((real_T)chartInstance->c1_idx, 2U);
    chartInstance->c1_tp_rdy = 0U;
    _SFD_CS_CALL(STATE_INACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
    chartInstance->c1_is_c1_BarGraph_PCM80 = c1_IN_rdy;
    _SFD_CS_CALL(STATE_ACTIVE_TAG, 0U, chartInstance->c1_sfEvent);
    chartInstance->c1_tp_rdy = 1U;
  }

  _SFD_CS_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG, 0U, chartInstance->c1_sfEvent);
}

static void initSimStructsc1_BarGraph_PCM80(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
}

static void init_script_number_translation(uint32_T c1_machineNumber, uint32_T
  c1_chartNumber)
{
}

const mxArray *sf_c1_BarGraph_PCM80_get_eml_resolved_functions_info(void)
{
  const mxArray *c1_nameCaptureInfo = NULL;
  c1_nameCaptureInfo = NULL;
  sf_mex_assign(&c1_nameCaptureInfo, sf_mex_create("nameCaptureInfo", NULL, 0,
    0U, 1U, 0U, 2, 0, 1));
  return c1_nameCaptureInfo;
}

static const mxArray *c1_sf_marshallOut(void *chartInstanceVoid, void *c1_inData)
{
  const mxArray *c1_mxArrayOutData = NULL;
  int8_T c1_u;
  const mxArray *c1_y = NULL;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_mxArrayOutData = NULL;
  c1_u = *(int8_T *)c1_inData;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_create("y", &c1_u, 2, 0U, 0U, 0U, 0));
  sf_mex_assign(&c1_mxArrayOutData, c1_y);
  return c1_mxArrayOutData;
}

static int8_T c1_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  int8_T c1_y;
  int8_T c1_i4;
  sf_mex_import(c1_parentId, sf_mex_dup(c1_u), &c1_i4, 1, 2, 0U, 0, 0U, 0);
  c1_y = c1_i4;
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static void c1_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData)
{
  const mxArray *c1_evt_ch_rdy;
  const char_T *c1_identifier;
  emlrtMsgIdentifier c1_thisId;
  int8_T c1_y;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_evt_ch_rdy = sf_mex_dup(c1_mxArrayInData);
  c1_identifier = c1_varName;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_y = c1_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_evt_ch_rdy),
    &c1_thisId);
  sf_mex_destroy(&c1_evt_ch_rdy);
  *(int8_T *)c1_outData = c1_y;
  sf_mex_destroy(&c1_mxArrayInData);
}

static const mxArray *c1_b_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData)
{
  const mxArray *c1_mxArrayOutData = NULL;
  int32_T c1_u;
  const mxArray *c1_y = NULL;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_mxArrayOutData = NULL;
  c1_u = *(int32_T *)c1_inData;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_create("y", &c1_u, 6, 0U, 0U, 0U, 0));
  sf_mex_assign(&c1_mxArrayOutData, c1_y);
  return c1_mxArrayOutData;
}

static int32_T c1_b_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  int32_T c1_y;
  int32_T c1_i5;
  sf_mex_import(c1_parentId, sf_mex_dup(c1_u), &c1_i5, 1, 6, 0U, 0, 0U, 0);
  c1_y = c1_i5;
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static void c1_b_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData)
{
  const mxArray *c1_b_sfEvent;
  const char_T *c1_identifier;
  emlrtMsgIdentifier c1_thisId;
  int32_T c1_y;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_b_sfEvent = sf_mex_dup(c1_mxArrayInData);
  c1_identifier = c1_varName;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_y = c1_b_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_b_sfEvent),
    &c1_thisId);
  sf_mex_destroy(&c1_b_sfEvent);
  *(int32_T *)c1_outData = c1_y;
  sf_mex_destroy(&c1_mxArrayInData);
}

static const mxArray *c1_c_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData)
{
  const mxArray *c1_mxArrayOutData = NULL;
  uint8_T c1_u;
  const mxArray *c1_y = NULL;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_mxArrayOutData = NULL;
  c1_u = *(uint8_T *)c1_inData;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_create("y", &c1_u, 3, 0U, 0U, 0U, 0));
  sf_mex_assign(&c1_mxArrayOutData, c1_y);
  return c1_mxArrayOutData;
}

static uint8_T c1_c_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_b_tp_rdy, const char_T *c1_identifier)
{
  uint8_T c1_y;
  emlrtMsgIdentifier c1_thisId;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_y = c1_d_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_b_tp_rdy),
    &c1_thisId);
  sf_mex_destroy(&c1_b_tp_rdy);
  return c1_y;
}

static uint8_T c1_d_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  uint8_T c1_y;
  uint8_T c1_u0;
  sf_mex_import(c1_parentId, sf_mex_dup(c1_u), &c1_u0, 1, 3, 0U, 0, 0U, 0);
  c1_y = c1_u0;
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static void c1_c_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData)
{
  const mxArray *c1_b_tp_rdy;
  const char_T *c1_identifier;
  emlrtMsgIdentifier c1_thisId;
  uint8_T c1_y;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_b_tp_rdy = sf_mex_dup(c1_mxArrayInData);
  c1_identifier = c1_varName;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_y = c1_d_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_b_tp_rdy),
    &c1_thisId);
  sf_mex_destroy(&c1_b_tp_rdy);
  *(uint8_T *)c1_outData = c1_y;
  sf_mex_destroy(&c1_mxArrayInData);
}

static const mxArray *c1_d_sf_marshallOut(void *chartInstanceVoid, void
  *c1_inData)
{
  const mxArray *c1_mxArrayOutData = NULL;
  int32_T c1_i6;
  uint8_T c1_b_inData[18];
  int32_T c1_i7;
  uint8_T c1_u[18];
  const mxArray *c1_y = NULL;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_mxArrayOutData = NULL;
  for (c1_i6 = 0; c1_i6 < 18; c1_i6++) {
    c1_b_inData[c1_i6] = (*(uint8_T (*)[18])c1_inData)[c1_i6];
  }

  for (c1_i7 = 0; c1_i7 < 18; c1_i7++) {
    c1_u[c1_i7] = c1_b_inData[c1_i7];
  }

  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_create("y", c1_u, 3, 0U, 1U, 0U, 1, 18));
  sf_mex_assign(&c1_mxArrayOutData, c1_y);
  return c1_mxArrayOutData;
}

static void c1_e_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_fname, const char_T *c1_identifier, uint8_T
  c1_y[18])
{
  emlrtMsgIdentifier c1_thisId;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_f_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_fname), &c1_thisId, c1_y);
  sf_mex_destroy(&c1_fname);
}

static void c1_f_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId,
  uint8_T c1_y[18])
{
  uint8_T c1_uv1[18];
  int32_T c1_i8;
  sf_mex_import(c1_parentId, sf_mex_dup(c1_u), c1_uv1, 1, 3, 0U, 1, 0U, 1, 18);
  for (c1_i8 = 0; c1_i8 < 18; c1_i8++) {
    c1_y[c1_i8] = c1_uv1[c1_i8];
  }

  sf_mex_destroy(&c1_u);
}

static void c1_d_sf_marshallIn(void *chartInstanceVoid, const mxArray
  *c1_mxArrayInData, const char_T *c1_varName, void *c1_outData)
{
  const mxArray *c1_fname;
  const char_T *c1_identifier;
  emlrtMsgIdentifier c1_thisId;
  uint8_T c1_y[18];
  int32_T c1_i9;
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)chartInstanceVoid;
  c1_fname = sf_mex_dup(c1_mxArrayInData);
  c1_identifier = c1_varName;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  c1_f_emlrt_marshallIn(chartInstance, sf_mex_dup(c1_fname), &c1_thisId, c1_y);
  sf_mex_destroy(&c1_fname);
  for (c1_i9 = 0; c1_i9 < 18; c1_i9++) {
    (*(uint8_T (*)[18])c1_outData)[c1_i9] = c1_y[c1_i9];
  }

  sf_mex_destroy(&c1_mxArrayInData);
}

static const mxArray *c1_g_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_b_setSimStateSideEffectsInfo, const char_T
  *c1_identifier)
{
  const mxArray *c1_y = NULL;
  emlrtMsgIdentifier c1_thisId;
  c1_y = NULL;
  c1_thisId.fIdentifier = c1_identifier;
  c1_thisId.fParent = NULL;
  sf_mex_assign(&c1_y, c1_h_emlrt_marshallIn(chartInstance, sf_mex_dup
    (c1_b_setSimStateSideEffectsInfo), &c1_thisId));
  sf_mex_destroy(&c1_b_setSimStateSideEffectsInfo);
  return c1_y;
}

static const mxArray *c1_h_emlrt_marshallIn(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance, const mxArray *c1_u, const emlrtMsgIdentifier *c1_parentId)
{
  const mxArray *c1_y = NULL;
  c1_y = NULL;
  sf_mex_assign(&c1_y, sf_mex_duplicatearraysafe(&c1_u));
  sf_mex_destroy(&c1_u);
  return c1_y;
}

static uint8_T c1__u8_s32_(SFc1_BarGraph_PCM80InstanceStruct *chartInstance,
  int32_T c1_b)
{
  uint8_T c1_a;
  c1_a = (uint8_T)c1_b;
  if (c1_a != c1_b) {
    sf_debug_overflow_detection(SFDB_OVERFLOW);
  }

  return c1_a;
}

static void init_dsm_address_info(SFc1_BarGraph_PCM80InstanceStruct
  *chartInstance)
{
}

/* SFunction Glue Code */
void sf_c1_BarGraph_PCM80_get_check_sum(mxArray *plhs[])
{
  ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(750515664U);
  ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(2608338957U);
  ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(759780572U);
  ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(3998240686U);
}

mxArray *sf_c1_BarGraph_PCM80_get_autoinheritance_info(void)
{
  const char *autoinheritanceFields[] = { "checksum", "inputs", "parameters",
    "outputs", "locals" };

  mxArray *mxAutoinheritanceInfo = mxCreateStructMatrix(1,1,5,
    autoinheritanceFields);

  {
    mxArray *mxChecksum = mxCreateDoubleMatrix(4,1,mxREAL);
    double *pr = mxGetPr(mxChecksum);
    pr[0] = (double)(1876067547U);
    pr[1] = (double)(3032895915U);
    pr[2] = (double)(2904328508U);
    pr[3] = (double)(1003788770U);
    mxSetField(mxAutoinheritanceInfo,0,"checksum",mxChecksum);
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,1,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(3));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"inputs",mxData);
  }

  {
    mxSetField(mxAutoinheritanceInfo,0,"parameters",mxCreateDoubleMatrix(0,0,
                mxREAL));
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,1,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(18);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(3));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"outputs",mxData);
  }

  {
    mxSetField(mxAutoinheritanceInfo,0,"locals",mxCreateDoubleMatrix(0,0,mxREAL));
  }

  return(mxAutoinheritanceInfo);
}

static const mxArray *sf_get_sim_state_info_c1_BarGraph_PCM80(void)
{
  const char *infoFields[] = { "chartChecksum", "varInfo" };

  mxArray *mxInfo = mxCreateStructMatrix(1, 1, 2, infoFields);
  const char *infoEncStr[] = {
    "100 S1x4'type','srcId','name','auxInfo'{{M[1],M[11],T\"fname\",},{M[3],M[12],T\"idx\",},{M[8],M[0],T\"is_active_c1_BarGraph_PCM80\",},{M[9],M[0],T\"is_c1_BarGraph_PCM80\",}}"
  };

  mxArray *mxVarInfo = sf_mex_decode_encoded_mx_struct_array(infoEncStr, 4, 10);
  mxArray *mxChecksum = mxCreateDoubleMatrix(1, 4, mxREAL);
  sf_c1_BarGraph_PCM80_get_check_sum(&mxChecksum);
  mxSetField(mxInfo, 0, infoFields[0], mxChecksum);
  mxSetField(mxInfo, 0, infoFields[1], mxVarInfo);
  return mxInfo;
}

static void chart_debug_initialization(SimStruct *S, unsigned int
  fullDebuggerInitialization)
{
  if (!sim_mode_is_rtw_gen(S)) {
    SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
    chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *) ((ChartInfoStruct *)
      (ssGetUserData(S)))->chartInstance;
    if (ssIsFirstInitCond(S) && fullDebuggerInitialization==1) {
      /* do this only if simulation is starting */
      {
        unsigned int chartAlreadyPresent;
        chartAlreadyPresent = sf_debug_initialize_chart
          (_BarGraph_PCM80MachineNumber_,
           1,
           1,
           6,
           3,
           2,
           0,
           0,
           0,
           0,
           &(chartInstance->chartNumber),
           &(chartInstance->instanceNumber),
           ssGetPath(S),
           (void *)S);
        if (chartAlreadyPresent==0) {
          /* this is the first instance */
          init_script_number_translation(_BarGraph_PCM80MachineNumber_,
            chartInstance->chartNumber);
          sf_debug_set_chart_disable_implicit_casting
            (_BarGraph_PCM80MachineNumber_,chartInstance->chartNumber,1);
          sf_debug_set_chart_event_thresholds(_BarGraph_PCM80MachineNumber_,
            chartInstance->chartNumber,
            2,
            2,
            2);
          _SFD_SET_DATA_PROPS(0,1,1,0,"ch");
          _SFD_SET_DATA_PROPS(1,2,0,1,"fname");
          _SFD_SET_DATA_PROPS(2,0,0,0,"idx");
          _SFD_EVENT_SCOPE(0,1);
          _SFD_EVENT_SCOPE(1,1);
          _SFD_STATE_INFO(0,0,0);
          _SFD_CH_SUBSTATE_COUNT(1);
          _SFD_CH_SUBSTATE_DECOMP(0);
          _SFD_CH_SUBSTATE_INDEX(0,0);
          _SFD_ST_SUBSTATE_COUNT(0,0);
        }

        _SFD_CV_INIT_CHART(1,0,0,0);

        {
          _SFD_CV_INIT_STATE(0,0,0,0,0,0,NULL,NULL);
        }

        _SFD_CV_INIT_TRANS(0,0,NULL,NULL,0,NULL);

        {
          static unsigned int sStartGuardMap[] = { 0 };

          static unsigned int sEndGuardMap[] = { 8 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(1,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        _SFD_CV_INIT_TRANS(2,0,NULL,NULL,0,NULL);

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 11 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(3,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 10 };

          static int sPostFixPredicateTree[] = { 0 };

          _SFD_CV_INIT_TRANS(4,1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),1,
                             &(sPostFixPredicateTree[0]));
        }

        _SFD_CV_INIT_TRANS(5,0,NULL,NULL,0,NULL);
        _SFD_TRANS_COV_WTS(0,0,0,1,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(0,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              1,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(1,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 0 };

          static unsigned int sEndGuardMap[] = { 8 };

          _SFD_TRANS_COV_MAPS(1,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(2,0,0,1,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(2,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              1,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(3,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 11 };

          _SFD_TRANS_COV_MAPS(3,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(4,0,1,0,0);
        if (chartAlreadyPresent==0) {
          static unsigned int sStartGuardMap[] = { 1 };

          static unsigned int sEndGuardMap[] = { 10 };

          _SFD_TRANS_COV_MAPS(4,
                              0,NULL,NULL,
                              1,&(sStartGuardMap[0]),&(sEndGuardMap[0]),
                              0,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_TRANS_COV_WTS(5,0,0,3,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(5,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              3,NULL,NULL,
                              0,NULL,NULL);
        }

        _SFD_SET_DATA_COMPILED_PROPS(0,SF_UINT8,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)NULL);

        {
          unsigned int dimVector[1];
          dimVector[0]= 18;
          _SFD_SET_DATA_COMPILED_PROPS(1,SF_UINT8,1,&(dimVector[0]),0,0,0,0.0,
            1.0,0,0,(MexFcnForType)c1_d_sf_marshallOut,(MexInFcnForType)
            c1_d_sf_marshallIn);
        }

        _SFD_SET_DATA_COMPILED_PROPS(2,SF_UINT8,0,NULL,0,0,0,0.0,1.0,0,0,
          (MexFcnForType)c1_c_sf_marshallOut,(MexInFcnForType)c1_c_sf_marshallIn);

        {
          uint8_T *c1_ch;
          uint8_T (*c1_fname)[18];
          c1_fname = (uint8_T (*)[18])ssGetOutputPortSignal(chartInstance->S, 1);
          c1_ch = (uint8_T *)ssGetInputPortSignal(chartInstance->S, 0);
          _SFD_SET_DATA_VALUE_PTR(0U, c1_ch);
          _SFD_SET_DATA_VALUE_PTR(1U, *c1_fname);
          _SFD_SET_DATA_VALUE_PTR(2U, &chartInstance->c1_idx);
        }
      }
    } else {
      sf_debug_reset_current_state_configuration(_BarGraph_PCM80MachineNumber_,
        chartInstance->chartNumber,chartInstance->instanceNumber);
    }
  }
}

static void sf_opaque_initialize_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  chart_debug_initialization(((SFc1_BarGraph_PCM80InstanceStruct*)
    chartInstanceVar)->S,0);
  initialize_params_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*)
    chartInstanceVar);
  initialize_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_enable_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  enable_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*) chartInstanceVar);
}

static void sf_opaque_disable_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  disable_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*)
    chartInstanceVar);
}

static void sf_opaque_gateway_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  sf_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*) chartInstanceVar);
}

extern const mxArray* sf_internal_get_sim_state_c1_BarGraph_PCM80(SimStruct* S)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_raw2high");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = (mxArray*) get_sim_state_c1_BarGraph_PCM80
    ((SFc1_BarGraph_PCM80InstanceStruct*)chartInfo->chartInstance);/* raw sim ctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c1_BarGraph_PCM80();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_raw2high'.\n");
  }

  return plhs[0];
}

extern void sf_internal_set_sim_state_c1_BarGraph_PCM80(SimStruct* S, const
  mxArray *st)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_high2raw");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = mxDuplicateArray(st);      /* high level simctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c1_BarGraph_PCM80();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_high2raw'.\n");
  }

  set_sim_state_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*)
    chartInfo->chartInstance, mxDuplicateArray(plhs[0]));
  mxDestroyArray(plhs[0]);
}

static const mxArray* sf_opaque_get_sim_state_c1_BarGraph_PCM80(SimStruct* S)
{
  return sf_internal_get_sim_state_c1_BarGraph_PCM80(S);
}

static void sf_opaque_set_sim_state_c1_BarGraph_PCM80(SimStruct* S, const
  mxArray *st)
{
  sf_internal_set_sim_state_c1_BarGraph_PCM80(S, st);
}

static void sf_opaque_terminate_c1_BarGraph_PCM80(void *chartInstanceVar)
{
  if (chartInstanceVar!=NULL) {
    SimStruct *S = ((SFc1_BarGraph_PCM80InstanceStruct*) chartInstanceVar)->S;
    if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
      sf_clear_rtw_identifier(S);
    }

    finalize_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*)
      chartInstanceVar);
    free((void *)chartInstanceVar);
    ssSetUserData(S,NULL);
  }
}

static void sf_opaque_init_subchart_simstructs(void *chartInstanceVar)
{
  initSimStructsc1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*)
    chartInstanceVar);
}

extern unsigned int sf_machine_global_initializer_called(void);
static void mdlProcessParameters_c1_BarGraph_PCM80(SimStruct *S)
{
  int i;
  for (i=0;i<ssGetNumRunTimeParams(S);i++) {
    if (ssGetSFcnParamTunable(S,i)) {
      ssUpdateDlgParamAsRunTimeParam(S,i);
    }
  }

  if (sf_machine_global_initializer_called()) {
    initialize_params_c1_BarGraph_PCM80((SFc1_BarGraph_PCM80InstanceStruct*)
      (((ChartInfoStruct *)ssGetUserData(S))->chartInstance));
  }
}

static void mdlSetWorkWidths_c1_BarGraph_PCM80(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
    int_T chartIsInlinable =
      (int_T)sf_is_chart_inlinable(S,"BarGraph_PCM80","BarGraph_PCM80",1);
    ssSetStateflowIsInlinable(S,chartIsInlinable);
    ssSetRTWCG(S,sf_rtw_info_uint_prop(S,"BarGraph_PCM80","BarGraph_PCM80",1,
                "RTWCG"));
    ssSetEnableFcnIsTrivial(S,1);
    ssSetDisableFcnIsTrivial(S,1);
    ssSetNotMultipleInlinable(S,sf_rtw_info_uint_prop(S,"BarGraph_PCM80",
      "BarGraph_PCM80",1,"gatewayCannotBeInlinedMultipleTimes"));
    if (chartIsInlinable) {
      ssSetInputPortOptimOpts(S, 0, SS_REUSABLE_AND_LOCAL);
      sf_mark_chart_expressionable_inputs(S,"BarGraph_PCM80","BarGraph_PCM80",1,
        1);
      sf_mark_chart_reusable_outputs(S,"BarGraph_PCM80","BarGraph_PCM80",1,1);
    }

    ssSetInputPortOptimOpts(S, 1, SS_REUSABLE_AND_LOCAL);
    sf_set_rtw_dwork_info(S,"BarGraph_PCM80","BarGraph_PCM80",1);
    ssSetHasSubFunctions(S,!(chartIsInlinable));
    ssSetCallsOutputInInitFcn(S,1);
  } else {
  }

  ssSetOptions(S,ssGetOptions(S)|SS_OPTION_WORKS_WITH_CODE_REUSE);
  ssSetChecksum0(S,(3419220851U));
  ssSetChecksum1(S,(3008135197U));
  ssSetChecksum2(S,(3370755129U));
  ssSetChecksum3(S,(896387116U));
  ssSetmdlDerivatives(S, NULL);
  ssSetExplicitFCSSCtrl(S,1);
}

static void mdlRTW_c1_BarGraph_PCM80(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S)) {
    sf_write_symbol_mapping(S, "BarGraph_PCM80", "BarGraph_PCM80",1);
    ssWriteRTWStrParam(S, "StateflowChartType", "Stateflow");
  }
}

static void mdlStart_c1_BarGraph_PCM80(SimStruct *S)
{
  SFc1_BarGraph_PCM80InstanceStruct *chartInstance;
  chartInstance = (SFc1_BarGraph_PCM80InstanceStruct *)malloc(sizeof
    (SFc1_BarGraph_PCM80InstanceStruct));
  memset(chartInstance, 0, sizeof(SFc1_BarGraph_PCM80InstanceStruct));
  if (chartInstance==NULL) {
    sf_mex_error_message("Could not allocate memory for chart instance.");
  }

  chartInstance->chartInfo.chartInstance = chartInstance;
  chartInstance->chartInfo.isEMLChart = 0;
  chartInstance->chartInfo.chartInitialized = 0;
  chartInstance->chartInfo.sFunctionGateway =
    sf_opaque_gateway_c1_BarGraph_PCM80;
  chartInstance->chartInfo.initializeChart =
    sf_opaque_initialize_c1_BarGraph_PCM80;
  chartInstance->chartInfo.terminateChart =
    sf_opaque_terminate_c1_BarGraph_PCM80;
  chartInstance->chartInfo.enableChart = sf_opaque_enable_c1_BarGraph_PCM80;
  chartInstance->chartInfo.disableChart = sf_opaque_disable_c1_BarGraph_PCM80;
  chartInstance->chartInfo.getSimState =
    sf_opaque_get_sim_state_c1_BarGraph_PCM80;
  chartInstance->chartInfo.setSimState =
    sf_opaque_set_sim_state_c1_BarGraph_PCM80;
  chartInstance->chartInfo.getSimStateInfo =
    sf_get_sim_state_info_c1_BarGraph_PCM80;
  chartInstance->chartInfo.zeroCrossings = NULL;
  chartInstance->chartInfo.outputs = NULL;
  chartInstance->chartInfo.derivatives = NULL;
  chartInstance->chartInfo.mdlRTW = mdlRTW_c1_BarGraph_PCM80;
  chartInstance->chartInfo.mdlStart = mdlStart_c1_BarGraph_PCM80;
  chartInstance->chartInfo.mdlSetWorkWidths = mdlSetWorkWidths_c1_BarGraph_PCM80;
  chartInstance->chartInfo.extModeExec = NULL;
  chartInstance->chartInfo.restoreLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.restoreBeforeLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.storeCurrentConfiguration = NULL;
  chartInstance->S = S;
  ssSetUserData(S,(void *)(&(chartInstance->chartInfo)));/* register the chart instance with simstruct */
  init_dsm_address_info(chartInstance);
  if (!sim_mode_is_rtw_gen(S)) {
  }

  sf_opaque_init_subchart_simstructs(chartInstance->chartInfo.chartInstance);
  chart_debug_initialization(S,1);
}

void c1_BarGraph_PCM80_method_dispatcher(SimStruct *S, int_T method, void *data)
{
  switch (method) {
   case SS_CALL_MDL_START:
    mdlStart_c1_BarGraph_PCM80(S);
    break;

   case SS_CALL_MDL_SET_WORK_WIDTHS:
    mdlSetWorkWidths_c1_BarGraph_PCM80(S);
    break;

   case SS_CALL_MDL_PROCESS_PARAMETERS:
    mdlProcessParameters_c1_BarGraph_PCM80(S);
    break;

   default:
    /* Unhandled method */
    sf_mex_error_message("Stateflow Internal Error:\n"
                         "Error calling c1_BarGraph_PCM80_method_dispatcher.\n"
                         "Can't handle method %d.\n", method);
    break;
  }
}
